%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           freetennis
Version:        0.4.8
Release:        10%{?dist}
Summary:        Tennis simulation game

Group:          Amusements/Games
License:        GPL
URL:            http://freetennis.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        freetennis.desktop
Source2:        freetennis.png
Patch0:         freetennis-0.4.8-pathfixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ocaml, SDL_gfx-devel, SDL_mixer-devel, gdk-pixbuf-devel 
BuildRequires:  lablgtk, libXmu-devel, gtk2-devel, desktop-file-utils
BuildRequires:  SDL_ttf-devel
BuildRequires:  ocaml-camlimages-devel
BuildRequires:  ocaml-SDL-devel >= 0.7.2-8
BuildRequires:  ocaml-lablgl-devel
BuildRequires:  ocaml-lablgtk-devel

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh


%description
Free Tennis is a free software tennis simulation game.  The game can be 
played against an A.I. or human-vs-human via LAN or internet.

%prep
%setup -q
%patch -p1

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

mv freetennis $RPM_BUILD_ROOT%{_bindir}
mv graphics $RPM_BUILD_ROOT%{_datadir}/%{name}/
mv sfx $RPM_BUILD_ROOT%{_datadir}/%{name}/

desktop-file-install --vendor="fedora"               \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
  %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc COPYING CHANGES.txt AUTHORS TODO.txt web-site/

%{_bindir}/freetennis
%{_datadir}/%{name}
%{_datadir}/applications/fedora-freetennis.desktop
%{_datadir}/icons/hicolor/48x48/apps/freetennis.png

%changelog
* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> 0.4.8-10
- Rebuild for ppc64.

* Wed Feb 13 2008 Richard W.M. Jones <rjones@redhat.com> 0.4.8-9
- Missing BR ocaml-lablgl-devel and ocaml-lablgtk-devel

* Wed Feb 13 2008 Richard W.M. Jones <rjones@redhat.com> 0.4.8-8
- Make it BR on the latest ocaml-SDL.

* Wed Feb 13 2008 Richard W.M. Jones <rjones@redhat.com> 0.4.8-7
- Rebuild for OCaml 3.10.1
- OCaml packaging guidelines.

* Wed May 09 2007 Nigel Jones <dev@nigelj.com> 0.4.8-6
- Add ExcludeArch on ppc64 (Bug 239521)

* Sun May 06 2007 Nigel Jones <dev@nigelj.com> 0.4.8-5
- Add missing BuildRequires (SDL_ttf-devel)

* Fri May 04 2007 Nigel Jones <dev@nigelj.com> 0.4.8-4
- Add SportsGame to .desktop file
- Correct source URL

* Fri May 04 2007 Nigel Jones <dev@nigelj.com> 0.4.8-3
- Change builddep to ocaml-camlimages

* Thu May 03 2007 Nigel Jones <dev@nigelj.com> 0.4.8-2
- Add freetennis.png and alter freetennis.desktop to show icon
- Change builddep to ocaml-SDL-devel

* Tue Apr 10 2007 Nigel Jones <dev@nigelj.com> 0.4.8-1
- Initial spec file

